{
  "parent": "allthefish:kill_tropical_fish_all",
  "criteria": {
    "kill_100663808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100663808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100729344": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100729344}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100794880": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100794880}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100860416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100860416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100925952": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100925952}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100991488": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100991488}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101057024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101057024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101122560": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101122560}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101188096": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101188096}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101253632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101253632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101319168": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101319168}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101384704": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101384704}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101450240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101450240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101515776": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101515776}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101581312": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101581312}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101646848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101646848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117441024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117441024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117506560": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117506560}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117572096": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117572096}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117637632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117637632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117703168": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117703168}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117768704": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117768704}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117834240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117834240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117899776": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117899776}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117965312": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117965312}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118030848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118030848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118096384": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118096384}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118161920": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118161920}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118227456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118227456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118292992": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118292992}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118358528": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118358528}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118424064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118424064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_131584": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:131584}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134218240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134218240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134283776": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134283776}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134349312": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134349312}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134414848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134414848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134480384": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134480384}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134545920": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134545920}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134611456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134611456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134676992": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134676992}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134742528": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134742528}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134808064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134808064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134873600": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134873600}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134939136": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134939136}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135004672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135004672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135070208": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135070208}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135135744": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135135744}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135201280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135201280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_150995456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:150995456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151060992": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151060992}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151126528": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151126528}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151192064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151192064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151257600": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151257600}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151323136": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151323136}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151388672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151388672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151454208": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151454208}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151519744": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151519744}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151585280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151585280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151650816": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151650816}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151716352": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151716352}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151781888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151781888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151847424": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151847424}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151912960": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151912960}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151978496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151978496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167772672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167772672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16777728": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16777728}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167838208": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167838208}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167903744": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167903744}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167969280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167969280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168034816": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168034816}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168100352": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168100352}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168165888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168165888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168231424": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168231424}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168296960": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168296960}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168362496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168362496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168428032": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168428032}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16843264": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16843264}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168493568": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168493568}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168559104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168559104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168624640": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168624640}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168690176": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168690176}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168755712": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168755712}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16908800": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16908800}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16974336": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16974336}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17039872": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17039872}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17105408": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17105408}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17170944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17170944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17236480": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17236480}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17302016": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17302016}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17367552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17367552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17433088": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17433088}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17498624": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17498624}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17564160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17564160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17629696": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17629696}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17695232": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17695232}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17760768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17760768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184549888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184549888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184615424": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184615424}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184680960": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184680960}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184746496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184746496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184812032": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184812032}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184877568": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184877568}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184943104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184943104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185008640": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185008640}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185074176": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185074176}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185139712": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185139712}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185205248": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185205248}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185270784": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185270784}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185336320": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185336320}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185401856": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185401856}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185467392": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185467392}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185532928": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185532928}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_197120": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:197120}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201327104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201327104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201392640": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201392640}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201458176": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201458176}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201523712": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201523712}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201589248": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201589248}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201654784": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201654784}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201720320": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201720320}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201785856": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201785856}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201851392": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201851392}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201916928": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201916928}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201982464": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201982464}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202048000": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202048000}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202113536": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202113536}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202179072": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202179072}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202244608": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202244608}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202310144": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202310144}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218104320": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218104320}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218169856": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218169856}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218235392": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218235392}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218300928": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218300928}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218366464": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218366464}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218432000": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218432000}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218497536": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218497536}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218563072": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218563072}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218628608": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218628608}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218694144": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218694144}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218759680": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218759680}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218825216": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218825216}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218890752": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218890752}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218956288": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218956288}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219021824": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219021824}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219087360": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219087360}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234881536": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234881536}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234947072": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234947072}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235012608": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235012608}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235078144": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235078144}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235143680": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235143680}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235209216": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235209216}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235274752": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235274752}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235340288": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235340288}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235405824": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235405824}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235471360": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235471360}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235536896": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235536896}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235602432": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235602432}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235667968": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235667968}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235733504": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235733504}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235799040": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235799040}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235864576": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235864576}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251658752": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251658752}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251724288": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251724288}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251789824": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251789824}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251855360": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251855360}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251920896": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251920896}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251986432": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251986432}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252051968": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252051968}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252117504": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252117504}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252183040": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252183040}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252248576": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252248576}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252314112": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252314112}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252379648": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252379648}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252445184": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252445184}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252510720": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252510720}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252576256": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252576256}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252641792": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252641792}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_262656": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:262656}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_328192": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:328192}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33554944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33554944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33620480": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33620480}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33686016": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33686016}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33751552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33751552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33817088": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33817088}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33882624": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33882624}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33948160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33948160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34013696": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34013696}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34079232": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34079232}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34144768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34144768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34210304": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34210304}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34275840": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34275840}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34341376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34341376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34406912": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34406912}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34472448": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34472448}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34537984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34537984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_393728": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:393728}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_459264": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:459264}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50332160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50332160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50397696": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50397696}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50463232": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50463232}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50528768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50528768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50594304": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50594304}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50659840": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50659840}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50725376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50725376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50790912": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50790912}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50856448": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50856448}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50921984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50921984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50987520": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50987520}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51053056": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51053056}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51118592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51118592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51184128": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51184128}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_512": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:512}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51249664": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51249664}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51315200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51315200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_524800": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:524800}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_590336": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:590336}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_655872": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:655872}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_66048": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:66048}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67109376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67109376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67174912": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67174912}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67240448": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67240448}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67305984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67305984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67371520": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67371520}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67437056": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67437056}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67502592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67502592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67568128": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67568128}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67633664": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67633664}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67699200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67699200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67764736": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67764736}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67830272": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67830272}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67895808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67895808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67961344": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67961344}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68026880": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68026880}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68092416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68092416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_721408": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:721408}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_786944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:786944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83886592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83886592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83952128": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83952128}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84017664": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84017664}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84083200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84083200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84148736": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84148736}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84214272": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84214272}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84279808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84279808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84345344": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84345344}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84410880": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84410880}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84476416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84476416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84541952": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84541952}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84607488": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84607488}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84673024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84673024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84738560": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84738560}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84804096": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84804096}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84869632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84869632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_852480": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:852480}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_918016": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:918016}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_983552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:983552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    }
  },
  "display": {
    "description": {
      "extra": [
        "Snooper",
        " Variant"
      ],
      "text": "Kill the "
    },
    "frame": "goal",
    "icon": {
      "count": 1,
      "id": "minecraft:tropical_fish"
    },
    "title": "Snooper"
  },
  "requirements": [
    [
      "kill_512"
    ],
    [
      "kill_16777728"
    ],
    [
      "kill_33554944"
    ],
    [
      "kill_50332160"
    ],
    [
      "kill_67109376"
    ],
    [
      "kill_83886592"
    ],
    [
      "kill_100663808"
    ],
    [
      "kill_117441024"
    ],
    [
      "kill_134218240"
    ],
    [
      "kill_150995456"
    ],
    [
      "kill_167772672"
    ],
    [
      "kill_184549888"
    ],
    [
      "kill_201327104"
    ],
    [
      "kill_218104320"
    ],
    [
      "kill_234881536"
    ],
    [
      "kill_251658752"
    ],
    [
      "kill_66048"
    ],
    [
      "kill_16843264"
    ],
    [
      "kill_33620480"
    ],
    [
      "kill_50397696"
    ],
    [
      "kill_67174912"
    ],
    [
      "kill_83952128"
    ],
    [
      "kill_100729344"
    ],
    [
      "kill_117506560"
    ],
    [
      "kill_134283776"
    ],
    [
      "kill_151060992"
    ],
    [
      "kill_167838208"
    ],
    [
      "kill_184615424"
    ],
    [
      "kill_201392640"
    ],
    [
      "kill_218169856"
    ],
    [
      "kill_234947072"
    ],
    [
      "kill_251724288"
    ],
    [
      "kill_131584"
    ],
    [
      "kill_16908800"
    ],
    [
      "kill_33686016"
    ],
    [
      "kill_50463232"
    ],
    [
      "kill_67240448"
    ],
    [
      "kill_84017664"
    ],
    [
      "kill_100794880"
    ],
    [
      "kill_117572096"
    ],
    [
      "kill_134349312"
    ],
    [
      "kill_151126528"
    ],
    [
      "kill_167903744"
    ],
    [
      "kill_184680960"
    ],
    [
      "kill_201458176"
    ],
    [
      "kill_218235392"
    ],
    [
      "kill_235012608"
    ],
    [
      "kill_251789824"
    ],
    [
      "kill_197120"
    ],
    [
      "kill_16974336"
    ],
    [
      "kill_33751552"
    ],
    [
      "kill_50528768"
    ],
    [
      "kill_67305984"
    ],
    [
      "kill_84083200"
    ],
    [
      "kill_100860416"
    ],
    [
      "kill_117637632"
    ],
    [
      "kill_134414848"
    ],
    [
      "kill_151192064"
    ],
    [
      "kill_167969280"
    ],
    [
      "kill_184746496"
    ],
    [
      "kill_201523712"
    ],
    [
      "kill_218300928"
    ],
    [
      "kill_235078144"
    ],
    [
      "kill_251855360"
    ],
    [
      "kill_262656"
    ],
    [
      "kill_17039872"
    ],
    [
      "kill_33817088"
    ],
    [
      "kill_50594304"
    ],
    [
      "kill_67371520"
    ],
    [
      "kill_84148736"
    ],
    [
      "kill_100925952"
    ],
    [
      "kill_117703168"
    ],
    [
      "kill_134480384"
    ],
    [
      "kill_151257600"
    ],
    [
      "kill_168034816"
    ],
    [
      "kill_184812032"
    ],
    [
      "kill_201589248"
    ],
    [
      "kill_218366464"
    ],
    [
      "kill_235143680"
    ],
    [
      "kill_251920896"
    ],
    [
      "kill_328192"
    ],
    [
      "kill_17105408"
    ],
    [
      "kill_33882624"
    ],
    [
      "kill_50659840"
    ],
    [
      "kill_67437056"
    ],
    [
      "kill_84214272"
    ],
    [
      "kill_100991488"
    ],
    [
      "kill_117768704"
    ],
    [
      "kill_134545920"
    ],
    [
      "kill_151323136"
    ],
    [
      "kill_168100352"
    ],
    [
      "kill_184877568"
    ],
    [
      "kill_201654784"
    ],
    [
      "kill_218432000"
    ],
    [
      "kill_235209216"
    ],
    [
      "kill_251986432"
    ],
    [
      "kill_393728"
    ],
    [
      "kill_17170944"
    ],
    [
      "kill_33948160"
    ],
    [
      "kill_50725376"
    ],
    [
      "kill_67502592"
    ],
    [
      "kill_84279808"
    ],
    [
      "kill_101057024"
    ],
    [
      "kill_117834240"
    ],
    [
      "kill_134611456"
    ],
    [
      "kill_151388672"
    ],
    [
      "kill_168165888"
    ],
    [
      "kill_184943104"
    ],
    [
      "kill_201720320"
    ],
    [
      "kill_218497536"
    ],
    [
      "kill_235274752"
    ],
    [
      "kill_252051968"
    ],
    [
      "kill_459264"
    ],
    [
      "kill_17236480"
    ],
    [
      "kill_34013696"
    ],
    [
      "kill_50790912"
    ],
    [
      "kill_67568128"
    ],
    [
      "kill_84345344"
    ],
    [
      "kill_101122560"
    ],
    [
      "kill_117899776"
    ],
    [
      "kill_134676992"
    ],
    [
      "kill_151454208"
    ],
    [
      "kill_168231424"
    ],
    [
      "kill_185008640"
    ],
    [
      "kill_201785856"
    ],
    [
      "kill_218563072"
    ],
    [
      "kill_235340288"
    ],
    [
      "kill_252117504"
    ],
    [
      "kill_524800"
    ],
    [
      "kill_17302016"
    ],
    [
      "kill_34079232"
    ],
    [
      "kill_50856448"
    ],
    [
      "kill_67633664"
    ],
    [
      "kill_84410880"
    ],
    [
      "kill_101188096"
    ],
    [
      "kill_117965312"
    ],
    [
      "kill_134742528"
    ],
    [
      "kill_151519744"
    ],
    [
      "kill_168296960"
    ],
    [
      "kill_185074176"
    ],
    [
      "kill_201851392"
    ],
    [
      "kill_218628608"
    ],
    [
      "kill_235405824"
    ],
    [
      "kill_252183040"
    ],
    [
      "kill_590336"
    ],
    [
      "kill_17367552"
    ],
    [
      "kill_34144768"
    ],
    [
      "kill_50921984"
    ],
    [
      "kill_67699200"
    ],
    [
      "kill_84476416"
    ],
    [
      "kill_101253632"
    ],
    [
      "kill_118030848"
    ],
    [
      "kill_134808064"
    ],
    [
      "kill_151585280"
    ],
    [
      "kill_168362496"
    ],
    [
      "kill_185139712"
    ],
    [
      "kill_201916928"
    ],
    [
      "kill_218694144"
    ],
    [
      "kill_235471360"
    ],
    [
      "kill_252248576"
    ],
    [
      "kill_655872"
    ],
    [
      "kill_17433088"
    ],
    [
      "kill_34210304"
    ],
    [
      "kill_50987520"
    ],
    [
      "kill_67764736"
    ],
    [
      "kill_84541952"
    ],
    [
      "kill_101319168"
    ],
    [
      "kill_118096384"
    ],
    [
      "kill_134873600"
    ],
    [
      "kill_151650816"
    ],
    [
      "kill_168428032"
    ],
    [
      "kill_185205248"
    ],
    [
      "kill_201982464"
    ],
    [
      "kill_218759680"
    ],
    [
      "kill_235536896"
    ],
    [
      "kill_252314112"
    ],
    [
      "kill_721408"
    ],
    [
      "kill_17498624"
    ],
    [
      "kill_34275840"
    ],
    [
      "kill_51053056"
    ],
    [
      "kill_67830272"
    ],
    [
      "kill_84607488"
    ],
    [
      "kill_101384704"
    ],
    [
      "kill_118161920"
    ],
    [
      "kill_134939136"
    ],
    [
      "kill_151716352"
    ],
    [
      "kill_168493568"
    ],
    [
      "kill_185270784"
    ],
    [
      "kill_202048000"
    ],
    [
      "kill_218825216"
    ],
    [
      "kill_235602432"
    ],
    [
      "kill_252379648"
    ],
    [
      "kill_786944"
    ],
    [
      "kill_17564160"
    ],
    [
      "kill_34341376"
    ],
    [
      "kill_51118592"
    ],
    [
      "kill_67895808"
    ],
    [
      "kill_84673024"
    ],
    [
      "kill_101450240"
    ],
    [
      "kill_118227456"
    ],
    [
      "kill_135004672"
    ],
    [
      "kill_151781888"
    ],
    [
      "kill_168559104"
    ],
    [
      "kill_185336320"
    ],
    [
      "kill_202113536"
    ],
    [
      "kill_218890752"
    ],
    [
      "kill_235667968"
    ],
    [
      "kill_252445184"
    ],
    [
      "kill_852480"
    ],
    [
      "kill_17629696"
    ],
    [
      "kill_34406912"
    ],
    [
      "kill_51184128"
    ],
    [
      "kill_67961344"
    ],
    [
      "kill_84738560"
    ],
    [
      "kill_101515776"
    ],
    [
      "kill_118292992"
    ],
    [
      "kill_135070208"
    ],
    [
      "kill_151847424"
    ],
    [
      "kill_168624640"
    ],
    [
      "kill_185401856"
    ],
    [
      "kill_202179072"
    ],
    [
      "kill_218956288"
    ],
    [
      "kill_235733504"
    ],
    [
      "kill_252510720"
    ],
    [
      "kill_918016"
    ],
    [
      "kill_17695232"
    ],
    [
      "kill_34472448"
    ],
    [
      "kill_51249664"
    ],
    [
      "kill_68026880"
    ],
    [
      "kill_84804096"
    ],
    [
      "kill_101581312"
    ],
    [
      "kill_118358528"
    ],
    [
      "kill_135135744"
    ],
    [
      "kill_151912960"
    ],
    [
      "kill_168690176"
    ],
    [
      "kill_185467392"
    ],
    [
      "kill_202244608"
    ],
    [
      "kill_219021824"
    ],
    [
      "kill_235799040"
    ],
    [
      "kill_252576256"
    ],
    [
      "kill_983552"
    ],
    [
      "kill_17760768"
    ],
    [
      "kill_34537984"
    ],
    [
      "kill_51315200"
    ],
    [
      "kill_68092416"
    ],
    [
      "kill_84869632"
    ],
    [
      "kill_101646848"
    ],
    [
      "kill_118424064"
    ],
    [
      "kill_135201280"
    ],
    [
      "kill_151978496"
    ],
    [
      "kill_168755712"
    ],
    [
      "kill_185532928"
    ],
    [
      "kill_202310144"
    ],
    [
      "kill_219087360"
    ],
    [
      "kill_235864576"
    ],
    [
      "kill_252641792"
    ]
  ],
  "sends_telemetry_event": true
}